#specfile originally created for Fedora, modified for Moblin Linux
Name:           gupnp-tools
Version:        0.7
Release:        3.1.moblin2
Summary:        GUPnP-tools is a collection of dev tools utilising GUPnP and GTK+

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.gupnp.org/
Source0:        http://www.gupnp.org/sources/%{name}/%{name}-%{version}.tar.gz
Patch0:         gupnp-tools-0.7-fix-icon-missing-crash.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gupnp-devel
BuildRequires: gupnp-av-devel
BuildRequires: gssdp-devel
BuildRequires: gtk2-devel
BuildRequires: glib2-devel >= 2.12
BuildRequires: libglade2-devel
BuildRequires: libsoup-devel
BuildRequires: e2fsprogs-devel
BuildRequires: gnome-icon-theme
BuildRequires: desktop-file-utils, libuuid-devel
Requires: gnome-icon-theme

%description
GUPnP is an object-oriented open source framework for creating UPnP 
devices and control points, written in C using GObject and libsoup. 
The GUPnP API is intended to be easy to use, efficient and flexible. 

GUPnP-tools is a collection of developer tools utilising GUPnP and GTK+. 
It features a universal control point application as well as a sample 
DimmableLight v1.0 implementation. 

%prep
%setup -q
%patch0 -p1 

%build
autoconf
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor=gupnp \
--delete-original --dir=%{buildroot}%{_datadir}/applications \
%{buildroot}/%{_datadir}/applications/gupnp-av-cp.desktop

desktop-file-install --vendor=gupnp \
--delete-original --dir=%{buildroot}%{_datadir}/applications \
%{buildroot}/%{_datadir}/applications/gupnp-network-light.desktop

desktop-file-install --vendor=gupnp \
--delete-original --dir=%{buildroot}%{_datadir}/applications \
%{buildroot}/%{_datadir}/applications/gupnp-universal-cp.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%dir %{_datadir}/gupnp-tools/
%dir %{_datadir}/gupnp-tools/pixmaps/
%dir %{_datadir}/gupnp-tools/xml/
%{_bindir}/gupnp-network-light
%{_bindir}/gupnp-universal-cp
%{_bindir}/gupnp-av-cp
%{_bindir}/gupnp-upload
%{_datadir}/applications/gupnp-av-cp.desktop
%{_datadir}/applications/gupnp-network-light.desktop
%{_datadir}/applications/gupnp-universal-cp.desktop
%{_datadir}/gupnp-tools/*.glade
%{_datadir}/gupnp-tools/pixmaps/*.png
%{_datadir}/gupnp-tools/xml/*.xml


